<?php

require_once('api/Okay.php');

class SendpulsePushAdmin extends Okay {

    public function fetch() {

        $api_user_id = $this->settings->send_pulse_userid;
        $api_secret = $this->settings->send_pulse_secret;
        $SP = $this->sendpulse->connect_sendpulse($api_user_id, $api_secret, 'session' );
        if(!empty($SP)){
            $this->design->assign('error',$SP);
        }

        $balance = $this->sendpulse->getBalance();
        $this->design->assign('balance',$balance);

        if($this->request->method('post') && $this->request->post('create')) {
            $new_push = array();
            $params = array();
            $new_push['title'] = $_POST['title'];
            $new_push['website_id'] = $_POST['website_id'];
            $new_push['body'] = $_POST['body'];
            $new_push['ttl'] = $_POST['ttl'];

            if($_POST['link']){
                $params['link'] = $_POST['link'];
            }

            $this->sendpulse->createPushTask($new_push,$params);
            
        }

        $web_site = $this->sendpulse->pushListWebsites();
        $this->design->assign('website_id', $web_site[0]->id);
        $cnt_client = $this->sendpulse->pushCountWebsiteSubscriptions($web_site[0]->id);

        $push_clients = $this->sendpulse->pushListWebsiteSubscriptions($web_site[0]->id);
        $this->design->assign('push_clients', $push_clients);
        $this->design->assign('cnt_client', $cnt_client);


        $all_push = $this->sendpulse->pushListCampaigns();

        if($all_push){
            $this->design->assign('all_push', $all_push);
        }
        return $this->body = $this->design->fetch('push.tpl');
    }

}
