{* Вкладки *}
{capture name=tabs}
    <li class="active">
        <a href="index.php?module=SendpulseBooksAdmin">Книги</a>
    </li>
    <li >
        <a href="index.php?module=SendpulsePushAdmin">Push</a>
    </li>
{/capture}

{* Title *}
{$meta_title='Sendpulse' scope=parent}


<div id="header">
    <h1>Sendpulse</h1>
    <a href="#comment_answer" class="answer add">Создать книгу</a>
    <span style="float: right;color:green;">Баланс:{$balance->balance_currency} {$balance->currency}</span>
</div>

{if $books}
    <div id="main_list" class="brands">
        <form id="list_form" method="post">
            <input type="hidden" name="session_id" value="{$smarty.session.id}">
            <div id="list" class="brands">
                {foreach $books as $book}
                    <div class="row">
                        <div class="checkbox cell">
                            <input type="checkbox" id="{$book->id}" name="check[]" value="{$book->id}"/>
                            <label for="{$book->id}"></label>
                        </div>
                        <div class="cell">
                            <span>
                                <a href="{url module=SendpulseBookAdmin id=$book->id return=$smarty.server.REQUEST_URI}"><b>{$book->name|escape}</b></a>
                            </span>
                            <input type="text" style="display: none" value="{$book->name}"/>
                            <a class="change sp_btn" href="javascript:;" style="display:block">Изменить имя</a>
                            <a href="javascript:;" style="display: none;" class="save_sp sp_btn">Ok</a>

                            <div>
                                <span>Контактов : {$book->all_email_qty}</span>
                                <span>Активных : {$book->active_email_qty}</span>
                                <span>Дата создания : {$book->creationdate}</span>
                            </div>
                        </div>
                        <div class="icons cell brand">
                            <a class="delete" title="Удалить" href="#"></a>
                        </div>
                        <div class="clear"></div>
                    </div>
                {/foreach}
            </div>
            <div id="action">
                <label id="check_all" class="dash_link">Выбрать все</label>
                <span id="select">
                    <select name="action">
                        <option value="delete">Удалить</option>
                    </select>
                </span>
                <input id="apply_action" class="button_green" type="submit" value="Применить">
            </div>

        </form>
    </div>
{else}
    Нет адресных книг
{/if}

<form id="comment_answer" class="add_book_sendpulse" style="display: none;" method="post">
    <input type="hidden" name="session_id" value="{$smarty.session.id}">
    <h2>Имя адресной книги</h2>
    <input type="text" name="create_book" class="book_name" value="" placeholder="Название книги" />
    <div class="btn_add_book">
        <input class="button button_green" type="submit" name="create" value="Отправить" />
    </div>
</form>

<script type="text/javascript" src="design/js/fancybox/jquery.fancybox.js"></script>
<link type="text/css" href="design/js/fancybox/jquery.fancybox.css" rel="stylesheet" />
{literal}
<script>
    $(function() {
        $('.answer').fancybox();

        // Раскраска строк
        function colorize()
        {
            $("#list div.row:even").addClass('even');
            $("#list div.row:odd").removeClass('even');
        }
        // Раскрасить строки сразу
        colorize();

        $("a.change").click(function() {
            $(this).prev().toggleClass('show');
            $('a.save_sp').toggleClass('show');
        });
        $("a.save_sp").click(function() {
            var trig = $(this);
            var line        = trig.closest(".row");
            var id          = line.find('input[type="checkbox"][name*="check"]').val();
            var elem = $(this).prev().prev();
            $.ajax({
                type: 'POST',
                url: 'ajax/sendpulse_ajax.php',
                data: {
                    'action': 'update_book',
                    'id': id,
                    'value': elem.val(),
                    'session_id': '{/literal}{$smarty.session.id}{literal}'
                },
                success: function(data){
                   if(data.result === true){
                       elem.prev().html(elem.val());
                       elem.val('');
                       trig.prev().trigger('click')
                   }
                },
                dataType: 'json'
            });
            return false;
        });

        // Сортировка списка

        // Выделить все
        $("#check_all").click(function() {
            $('#list input[type="checkbox"][name*="check"]').attr('checked', $('#list input[type="checkbox"][name*="check"]:not(:checked)').length>0);
        });

        // Удалить
        $("a.delete").click(function() {
            $('#list input[type="checkbox"][name*="check"]').attr('checked', false);
            $(this).closest("div.row").find('input[type="checkbox"][name*="check"]').attr('checked', true);
            $(this).closest("form").find('select[name="action"] option[value=delete]').attr('selected', true);
            $(this).closest("form").submit();
        });

        // Подтверждение удаления
        $("form").submit(function() {
            if($('#list input[type="checkbox"][name*="check"]:checked').length>0)
                if($('select[name="action"]').val()=='delete' && !confirm('Подтвердите удаление'))
                    return false;
        });

    });
</script>
{/literal}
