<?php

require_once('api/Okay.php');

class SendpulseBooksAdmin extends Okay {

    public function fetch() {

        $api_user_id = $this->settings->send_pulse_userid;
        $api_secret = $this->settings->send_pulse_secret;
        $SP = $this->sendpulse->connect_sendpulse($api_user_id, $api_secret, 'session' );
        if(!empty($SP)){
            $this->design->assign('error',$SP);
        }

        $balance = $this->sendpulse->getBalance();
        $this->design->assign('balance',$balance);

        // Обработка действий
        if($this->request->method('post')) {
            // Действия с выбранными
            $ids = $this->request->post('check');

            if(is_array($ids)) {
                switch($this->request->post('action')) {
                    case 'delete': {
                        foreach($ids as $id) {
                            $this->sendpulse->removeAddressBook($id);
                        }
                        break;
                    }
                }
            }
            
            if($this->request->method('post') && $this->request->post('create')){
                $this->sendpulse->createAddressBook($_POST['create_book']);
            }
        }

        $books = $this->sendpulse->listAddressBooks();

        $this->design->assign('books', $books);
        return $this->body = $this->design->fetch('books.tpl');
    }

}
