{* Вкладки *}
{capture name=tabs}
    <li>
        <a href="index.php?module=SendpulseBooksAdmin">Книги</a>
    </li>
    <li class="active">
        <a href="index.php?module=SendpulsePushAdmin">Push</a>
    </li>
{/capture}

{* Title *}
{$meta_title='Sendpulse' scope=parent}


<div id="header">
    <h1>Sendpulse (Подписчиков push: {$cnt_client->total})</h1>
    <a href="#create_push" class="create add">Создать рассылку</a>
    <span style="float: right;color:green;">Баланс:{$balance->balance_currency} {$balance->currency}</span>
</div>
{if $push_clients}
    <div id="main_list" class="push_list_left">
        <form id="list_form" method="post">
            <input type="hidden" name="session_id" value="{$smarty.session.id}">
            <div id="list" class="brands">
                {foreach $push_clients as $push}
                    <div class="row">
                        <div class="cell">
                            <span>
                                <a href="javascript:;">
                                    <b>{$push->browser|escape}</b>
                                    {if $push->status}
                                        <span style="background: green;color: #000;padding: 3px">активен</span>
                                    {else}
                                        <span style="background: #ddd;color: #000;padding: 3px">не активен</span>
                                    {/if}
                                </a>
                            </span>
                            <ul>
                                <li>платформа:{$push->os}</li>
                                <li>страна:{$push->country_code}</li>
                                <li>город:{$push->city}</li>
                                <li>дата:{$push->subscription_date}</li>
                            </ul>
                        </div>
                        <div class="clear"></div>
                    </div>
                {/foreach}
            </div>
        </form>
    </div>
{else}
    Нет подписчиков
{/if}

<div class="push_list_right">
    <h2>PUSH кампании</h2>
        {if $all_push}
            {foreach $all_push as $p}
                <ul>
                    <li>{$p->title}</li>
                    <li>{$p->body}</li>
                    <li>{$p->send_date}</li>
                </ul>
                <div style="border: 1px solid #000"></div>
            {/foreach}
        {/if}
</div>


<form id="create_push" class="create_push_form" style="display: none;" method="post">
    <input type="hidden" name="session_id" value="{$smarty.session.id}">
    <h2>Создание рассылки</h2>
    <div class="block layer">
        <div>
            <label class="property">Заголовок*</label>
            <input class="simpla_inp" name="title" type="text" value="" placeholder="заголовок">
        </div>

        <div>
            <label class="property">Тело рассылки*</label>
            <textarea class="simpla_inp" name="body" placeholder="тело рассылки"></textarea>
        </div>

        <div>
            <label class="property">Время жизни рассылки*</label>
            <select name="ttl">
                <option value="3600">1 час</option>
                <option value="7200">2 часа</option>
                <option value="10800">3 часа</option>
                <option value="14400">4 часа</option>
                <option value="18000">5 часа</option>
            </select>
        </div>

        <div>
            <label class="property">Ссылка для перехода(не обязательно)</label>
            <input class="simpla_inp" name="link" type="text" value="" >
        </div>

    </div>
    <input type="hidden" name="website_id" value="{$website_id}">
    <input class="button button_green" type="submit" name="create" value="Отправить" />
</form>


<script type="text/javascript" src="design/js/fancybox/jquery.fancybox.js"></script>
<link type="text/css" href="design/js/fancybox/jquery.fancybox.css" rel="stylesheet" />
{literal}
<script>
    $(function() {
        $('.create').fancybox();

        // Раскраска строк
        function colorize()
        {
            $("#list div.row:even").addClass('even');
            $("#list div.row:odd").removeClass('even');
        }
        // Раскрасить строки сразу
        colorize();

        $("a.change").click(function() {
            $(this).prev().toggleClass('show');
            $('a.save_sp').toggleClass('show');
        });

        // Выделить все
        $("#check_all").click(function() {
            $('#list input[type="checkbox"][name*="check"]').attr('checked', $('#list input[type="checkbox"][name*="check"]:not(:checked)').length>0);
        });

        // Удалить
        $("a.delete").click(function() {
            $('#list input[type="checkbox"][name*="check"]').attr('checked', false);
            $(this).closest("div.row").find('input[type="checkbox"][name*="check"]').attr('checked', true);
            $(this).closest("form").find('select[name="action"] option[value=delete]').attr('selected', true);
            $(this).closest("form").submit();
        });

        // Подтверждение удаления
        $("form").submit(function() {
            if($('#list input[type="checkbox"][name*="check"]:checked').length>0)
                if($('select[name="action"]').val()=='delete' && !confirm('Подтвердите удаление'))
                    return false;
        });

    });
</script>
{/literal}
